# class KIcon | One icon as found by KIconTheme. More...
Definition | `#include <kicontheme.h>`
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum Context { Any, Action, Application, Device, FileSystem, MimeType }
- enum Types { Fixed, Scalable }
- enum MatchType { MatchExact, MatchBest }
- enum Group { NoGroup=-1, Desktop=0, Toolbar, MainToolbar, Small, Panel, LastGroup, User }
- enum StdSizes { SizeSmall=16, SizeMedium=32, SizeLarge=48 }
- enum States { DefaultState, ActiveState, DisabledState, LastState }
- enum Overlays { LockOverlay=0x100, ZipOverlay=0x200, LinkOverlay=0x400, OverlayMask = ~0xff }

#### Public Methods

- KIcon ()
- bool isValid () const

#### Public Members

- int size
- int context
- int type
- QString path

## Detailed Description

One icon as found by KIconTheme. Also serves as a namespace containing icon related constants.

KIcon () | ### KIcon

bool isValid () | ### isValid

[const]

enum Context { Any, Action, Application, Device, FileSystem, MimeType } | ### Context

enum Types { Fixed, Scalable } | ### Types

enum MatchType { MatchExact, MatchBest } | ### MatchType

enum Group { NoGroup=-1, Desktop=0, Toolbar, MainToolbar, Small, Panel, LastGroup, User } | ### Group

enum StdSizes { SizeSmall=16, SizeMedium=32, SizeLarge=48 } | ### StdSizes

enum States { DefaultState, ActiveState, DisabledState, LastState } | ### States

enum Overlays { LockOverlay=0x100, ZipOverlay=0x200, LinkOverlay=0x400, OverlayMask = ~0xff } | ### Overlays

int size | ### size

int context | ### context

int type | ### type

QString path | ### path

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:34:58 2001, using kdoc 2.0a53.